#!/bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin/:/usr/local/bin
export PATH

#
##
#
homedir=${HOME}/.thunderbird/
thunderbirddir=`/bin/ls -CF1 ${homedir}/ | grep default/`
lightningdir=extensions/\{e2fda1a4-762b-4020-b5ad-a41df1933103\}

lightningsite='http://ftp.mozilla.org/pub/mozilla.org/calendar/lightning/releases/'

#
##
#
lightningversion='4.0.3.1'
#lightningversion=`cat ${homedir}${thunderbirddir}${lightningdir}/install.rdf | grep em:version | cut -c 17-19`

if [ -d ./tmp/chrome ];then
    rm -r ./tmp.OLD
    mv ./tmp ./tmp.OLD
fi

ftp -a ${lightningsite}${lightningversion}/linux/lightning.xpi
mkdir ./tmp
mv lightning.xpi ./tmp
cd ./tmp
unzip -q ./lightning.xpi
cd ..

if [ -d ${homedir}${thunderbirddir}${lightningdir}/chrome ];then
    rm -r ${homedir}${thunderbirddir}${lightningdir}/chrome.old
    mv ${homedir}${thunderbirddir}${lightningdir}/chrome ${homedir}${thunderbirddir}${lightningdir}/chrome.old
else
    echo "mkdir ${homedir}${thunderbirddir}${lightningdir}/chrome/"
fi

echo "cp  -pr ./tmp/chrome/lightning-ja ${homedir}${thunderbirddir}${lightningdir}/chrome/"
echo "cp  -pr ./tmp/chrome/calendar-ja  ${homedir}${thunderbirddir}${lightningdir}/chrome/"
echo "cat ./patch-chrome.manifest >>    ${homedir}${thunderbirddir}${lightningdir}/chrome.manifest"

mkdir ${homedir}${thunderbirddir}${lightningdir}/chrome/
cp  -pr ./tmp/chrome/lightning-ja ${homedir}${thunderbirddir}${lightningdir}/chrome/
cp  -pr ./tmp/chrome/calendar-ja  ${homedir}${thunderbirddir}${lightningdir}/chrome/ 
cat ./patch-chrome.manifest >>    ${homedir}${thunderbirddir}${lightningdir}/chrome.manifest

echo ""
echo "lightning Japanization completion."
echo ""

exit 1
